float4x4 view_proj_matrix;
float3 view_position;

uniform extern texture Texture;

sampler textureSampler = sampler_state
{
   Texture = <Texture>;
   MAGFILTER = LINEAR;
   MINFILTER = LINEAR;
   MIPFILTER = LINEAR;
   ADDRESSU = WRAP;
   ADDRESSV = WRAP;
   ADDRESSW = WRAP; 
};

struct VS_SKY_OUTPUT{
	vector pos:POSITION;
	float3 dir:TEXCOORD0;
};

VS_SKY_OUTPUT vs_main_Skybox(vector pos:POSITION){
	VS_SKY_OUTPUT Out;
	
	Out.pos=mul(float4(view_position+pos.xyz,1),view_proj_matrix);
	
	
	Out.dir=pos.xyz;
	
	return Out;
}
vector ps_main_Skybox(float3 dir:TEXCOORD0):COLOR
{
	return texCUBE(textureSampler,dir);
}

technique SkyBox{
	pass P0
	{
		 ZENABLE = FALSE;
	     CULLMODE = NONE;
	     vertexShader = compile vs_2_0 vs_main_Skybox();
         pixelShader = compile ps_2_0 ps_main_Skybox();


	}
}

